- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QXmlStreamNamespaceDeclaration Class Reference

Search for all occurrences

## Detailed Description

Definition at line 203 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Member Functions
| QXmlStreamNamespaceDeclaration ()
| QXmlStreamNamespaceDeclaration (const QXmlStreamNamespaceDeclaration &)
| QXmlStreamNamespaceDeclaration (const QString &prefix, const QString &namespaceUri)
| ~QXmlStreamNamespaceDeclaration ()
QXmlStreamNamespaceDeclaration & | operator= (const QXmlStreamNamespaceDeclaration &)
QStringRef | prefix () const
QStringRef | namespaceUri () const
bool | operator== (const QXmlStreamNamespaceDeclaration &other) const
bool | operator!= (const QXmlStreamNamespaceDeclaration &other) const
## Friends
class | QXmlStreamReaderPrivate

## Constructor & Destructor Documentation

QXmlStreamNamespaceDeclaration | ( |  | ) |

QXmlStreamNamespaceDeclaration | ( | const QXmlStreamNamespaceDeclaration & |  | ) |

QXmlStreamNamespaceDeclaration | ( | const QString & | prefix,
|  | const QString & | namespaceUri
| ) |  |

~QXmlStreamNamespaceDeclaration | ( |  | ) |

## Member Function Documentation

QXmlStreamNamespaceDeclaration& operator= | ( | const QXmlStreamNamespaceDeclaration & |  | ) |

QStringRef prefix | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 214 of file qxmlstream.h.

    { return m_prefix; }

QStringRef namespaceUri | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 215 of file qxmlstream.h.

    { return m_namespaceUri; }

bool operator== | ( | const QXmlStreamNamespaceDeclaration & | other | ) | const `[inline]`

Definition at line 216 of file qxmlstream.h.

                                                                                  {
            return (prefix() == other.prefix() && namespaceUri() == other.namespaceUri());
        }

bool operator!= | ( | const QXmlStreamNamespaceDeclaration & | other | ) | const `[inline]`

Definition at line 219 of file qxmlstream.h.

            { return !operator==(other); }

## Friends And Related Function Documentation

friend class QXmlStreamReaderPrivate `[friend]`

Search for all occurrences

Definition at line 207 of file qxmlstream.h.

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration
QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration QXmlStreamNamespaceDeclaration